CVE-2018-17972

NameCVE-2018-17972
DescriptionAn issue was discovered in the proc_pid_stack function in fs/proc/base.c in the Linux kernel through 4.18.11. It does not ensure that only root may inspect the kernel stack of an arbitrary task, allowing a local attacker to exploit racy stack unwinding and leak kernel task stack contents.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1715-1, DLA-1731-1
NVD severitymedium (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)jessie3.16.56-1+deb8u1vulnerable
jessie (security)3.16.64-2fixed
stretch4.9.144-3fixed
stretch (security)4.9.110-3+deb9u6vulnerable
buster, sid4.19.28-2fixed
linux-4.9 (PTS)jessie (security)4.9.144-3.1~deb8u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)4.18.20-1medium
linuxsourcejessie3.16.64-1mediumDLA-1731-1
linuxsourcestretch4.9.135-1medium
linux-4.9sourcejessie4.9.144-3.1~deb8u1mediumDLA-1715-1

Notes

https://marc.info/?l=linux-fsdevel&m=153806242024956&w=2
https://git.kernel.org/linus/f8a00cef17206ecd1b30d3d9f99e10d9fa707aa7

Search for package or bug name: Reporting problems